#pragma once

#include "cgp/cgp.hpp"
#include "key_positions_structure.hpp"
#include "bat.hpp"

using namespace cgp;

// The entire hierarchy

struct bats{
	cgp::hierarchy_mesh_drawable bat_mesh;

	int N;

	std::vector<bat> bats_prop;
	
	void initialize_bats();
	void add_bat(vec3 new_pos, float _size, numarray<vec3> key_positions, numarray<float> key_times);
	void update_mvt();
};